'use strict';

define([
  'angular',
  'widgets/mapapp/esrisymbolstyle/directives/esrisymbolstyle',
  'widgets/mapapp/esrisymbolstyle/services/EsriSymbolFactory',
], function(angular, esrisymbolstyle, EsriSymbolFactory) {
  var gcesrisymbolstyle = angular.module('gc_esrisymbolstyle', []);

  // ajout service
  gcesrisymbolstyle.factory('EsriSymbolFactory', EsriSymbolFactory);

  //ajout directive
  gcesrisymbolstyle.directive('esrisymbolstyle', esrisymbolstyle);

  return gcesrisymbolstyle;
});
